Bug 975421 - wrong diagram direction in RTL language
Summary: wrong diagram direction in RTL language
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-18 12:43 UTC by Noori
Modified: 2014-02-06 15:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-06 15:15:04 UTC


Attachments (Terms of Use)

Description Noori 2013-06-18 12:43:43 UTC
Description of problem:
I use libreoffice 3.6.6.2, and my libreoffice ui language is Persian and also my system language is Persian. When I insert a diagram in libreoffice-calc, axes of diagram are from right to left. But diagram is similar to formulation, we write mathematical from left to right in LTR and also RTL languages. 

Version-Release number of selected component (if applicable):
libreoffice 3.6.6.2
3.9.5-201.fc18.i686.PAE
GNOME Shell 3.6.3.1

Expected results:
Axes of diagram in RTL language should be from left to right same as LTR language.

Comment 1 Fedora End Of Life 2013-12-21 14:03:19 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2014-02-05 21:52:00 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Caolan McNamara 2014-02-06 15:15:04 UTC
Implemented this for 4-3 upstream as http://cgit.freedesktop.org/libreoffice/core/commit/?id=b37bce11cf59c6c9544e62e81f71a07e4d987a34


Note You need to log in before you can comment on or make changes to this bug.